*{padding: 0;margin: 0;border: 0;}
*,*:before,*:after{-moz-box-sizing: border-box;-webkit-box-sizing: border-box;box-sizing: border-box;}
:focus,:active{outline: none;}
a:focus,a:active{outline: none;}
nav,footer,header,aside{display: block;}
html,body{height:100%;width:100%;font-size:100%;line-height:1;font-size:14px;-ms-text-size-adjust:100%;-moz-text-size-adjust:100%;-webkit-text-size-adjust:100%;}
input,button,textarea{font-family:inherit;}
input::-ms-clear{display: none;}
button{cursor: pointer;}
button::-moz-focus-inner {padding:0;border:0;}
a,a:visited{text-decoration: none;}
a:hover{text-decoration: none;}
ul li{list-style: none;}
img{vertical-align: top;}
h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight: inherit;}

body{
    margin: 0 auto;
    max-width: 1200px;
    background: black;
    color: #fff;
    font-weight: 700;
}


.container{
    grid-gap: 10px;
    display: grid;
    grid-template-columns: 3fr 8fr 3fr;
    padding-top: 20px;
    background-color: black;
}

.leftSide{
    display: grid;
    grid-auto-flow: row;
    grid-gap: 10px;
    width: 256px;
}

.mainContent{
    display: grid;
    grid-auto-rows: minmax(min-content, max-content);
    grid-gap: 10px;
}

.rightSide {
    display: grid;
    grid-auto-flow: row;
    grid-gap: 10px;
}

/*Menu
===========*/
.menu{
    font-size: 20px;
    background-color: black;
    align-items: center;

}
.menuLogo img{
    max-width: 256px;
    max-height: 240px;
    object-fit: contain;
    width: 256px;
    height: 240px;
    border-radius: 10px;
}

.menuNav{
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 800px;
    text-align: center;
    align-self: flex-start;
    padding: 10px 0;
    border-radius: 10px;
    background-color: rgb(99, 98, 98);
    margin: 0 auto;
}
.menuNav ul li a{
    transition: 0.06s linear;
    text-decoration: none;
    color: #fff;
}
.menuNav li{
    margin-left: 20px;
    display: inline;
}
.menuNav ul li a:hover{
    letter-spacing: 2px;
    color: rgb(44, 44, 44);
}
.menuNav ul:last-child{
    margin-right: 20px ;
}
.menuNav ul{
    margin-block-start: 0;
    margin-block-end: 0;
    padding-inline-start: 0;

}
.menuNavLink{
    text-decoration: none;
    color: black;

}
.optimistTemplateContent{
    border: 2px solid rgb(99, 98, 98);
    width: 100%;
    text-align: center;
    word-break: break-all;
}

/*news
==============*/
.feedItems li{
    margin-bottom: 5px;
    padding-bottom: 15px;
}

.newsHeader {
    display: grid;
}

.feedItemsHeader {
    display: grid;
    grid-template-columns: 70px 4fr;
    grid-template-rows: auto auto;
    margin-bottom: 10px;
    grid-column-gap: 10px;
}

.feedItemsImageLogo {
    grid-area: 1 / 1 / 3 / 2;
    font-size: 70px;
}

.feedItemsImageLogo img {
        max-width: 70px;
        max-height: 70px;
        object-fit: contain;
        width: 70px;
        border-radius: 5px;
}

.feedItemsNewsTitle{
    grid-area: 1 / 2 / 2 / 3;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    word-break: break-all;
    max-height: 44px;
}

.feedItemsDate{
    grid-area: 2 / 2 / 3 / 3;
    text-align: end;
    align-self: end;
}

.beamChatParticipants {
    display: inline-block;
}

.beamChatMessages {
    height: 270px;
    overflow-y:auto;
}

.sendMessageBlock {
    display: grid;
    grid-auto-flow: row;
    align-items: center;
    margin-top: 10px;
}

.sendMessageBlock i{
    font-size: 22px;
}

.sendMessageBlock .senderName {
    margin-left: 10px;
}

.sendMessageBlock .senderText {
    display: grid;
    grid-auto-flow: column;
    align-items: center;
}

.newsBodyDescriptionGrid{
    display: grid;
    grid-template-rows: auto auto;
}

.newsBodyDescriptionGrid img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    object-position: center;
    height: 180px;
    width: 200px;
    float: left;
    margin: 5px 20px 10px 0;
    border-radius: 5px;
}

.newsBodyDescriptionGrid p {
    text-indent: 20px;
    padding: 0 10px 20px 10px;
    text-align: justify;
    word-break: break-all;
}

.newsTitle {
    font-size: 20px;
    margin-left: 15px;
    margin-top: 3px;
    word-break: break-all;
}

.newsBodyDescriptionItemsGrid {
    display: grid;
    grid-template-columns: auto fit-content(40%);
    column-gap: 10px;
    justify-items: baseline;
}

.feedBodyGrid p {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 6;
    word-break: break-all;
}

.newsBodyDescriptionItemsGrid .newsItemCategory {
    font-weight: 800;
    text-align: left;
}

.newsItemCategory span {
    overflow: hidden;
    margin: 3px;
    padding: 5px 3px;
    color: #FFF;
    font-size: 11px;
    border-radius: 3px;
    display: inline-flex;
    white-space: nowrap;
    font-weight: bold;
    cursor: pointer;
    text-shadow: 1px 1px #28912C;
}

.newsItemAuthorDate {
    padding-right: 5px;
    align-content: end;
}

/*content
==============*/
.content{
    padding-top: 20px;
    background-color: black;
    grid-column-gap: 10px;
    align-items: center;
}
.contentHeader{
    font-size: 20px;
    background-color: rgb(99, 98, 98);
    text-align: center;
}
.contentLast{
    height: 100%;
    text-align: center;
    border: 2px solid rgb(99, 98, 98);
}
.contentLastHeader{
    font-size: 20px;
    background-color: rgb(99, 98, 98);
}
.contentLastText a{
    color: #fff;
    text-decoration: none;
}
.contentLastText a:hover{
    color: rgb(44, 44, 44);
}
.contentLastLink{
    line-height: 20px;
}
.contentNext{
    height: 100%;
    text-align: center;
    border: 2px solid rgb(99, 98, 98);
}
.contentNextHeader{
    font-size: 20px;
    background-color: rgb(99, 98, 98);
}
.contentNextText a{
    color: #fff;
    text-decoration: none;
}
.contentNextText a:hover{
    color: rgb(44, 44, 44);
}
.contentNextLink{
    line-height: 20px;
}
.contentPlayer{
    align-self: center;
    justify-self: center;
    width: 100%;
}

.liveChatBlock {
    border: 2px solid rgb(99, 98, 98);
}

.messageBlock{
    display: grid;
    grid-template-columns: 42px auto;
    padding-bottom: 5px;
}

.messageContent {
    display: grid;
    grid-auto-flow: row;
}

.messageText {
    font-weight: 500;
}

.messageUserPhoto img{
    border-radius: 30px;
    float: left;
    height: 34px;
    width: 34px;
    object-fit: cover;
}

.messageUserPhoto .fa-user{
    font-size: 29px;
    color: #9BD36D;
    float: left;
    width: 34px;
    height: 34px;
    text-align: center;
}

/*Player
==================*/

.player{
    padding: 5px;
    border-radius: 10px;
    background: rgb(99, 98, 98);
}
.player a{
    transition: 0.06s linear;
    color: #fff;
    text-decoration: none;
}
.playerPlay{
    padding-top: 9px;
    text-align: center;
    font-weight: 700;
    color: #fff;
    margin: 0 auto;
    width: 65px;
    height: 35px;
    border-radius: 50%;
    background: black;
    transition: 0.2s linear;
}
.play{
    text-align: center;
}

.playerPlay:active{
    background:red;
}
.playerPlay:hover{
    background:red;
    color: rgb(44, 44, 44);
}
.playerPlay a:hover{
    color: rgb(44, 44, 44);
}

.templateOptimistPlayerTrack{
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    margin-bottom: 5px;
}
.templateOptimistPlayerArtist{
    max-width: 240px;
    text-align: center;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 5px;
}
.playerCurrentListeners{
    padding: 2px;
    text-align: center;
    margin: 5px auto;
    width: 50px;
    background: black;
    border-radius: 30%;
}
.volume{
    margin: 10px 0;
    text-align: center;
}
.social{
    text-align: center;
}
.social li{
    display: inline;
}
.social ul a{
    text-decoration: none;
}
.social ul a :last-child{
    margin: 0;
}
.social ul{
    margin-block-start: 0;
    margin-block-end: 0;
    padding-inline-start: 0px;
    list-style: none;
}
.social ul a:hover{
    color: rgb(44, 44, 44);
}
.social ul a:active{
    color: rgb(44, 44, 44);
}
.socialIcon{

    margin: 5px;
}
@media screen and (min-width: 768px){
    .menuLogo{
        max-width: 256px;
        max-height: 240px;
        min-height: 34px;
    }
}
@media screen and (max-width: 768px){

    .templateOptimistPlayerTrack{
        max-width: 100px;
    }
    .templateOptimistPlayerArtist{
        max-width: 100px;
    }
    .menuLogo{
        height: 160px;
    }
    .menuNav ul:last-child{
        margin-right: 0;
    }
    .menuNav li{
        margin-left: 7px;
    }
    .menuNav{
        padding: 0;
    }
}


/* Custom scrolbar */
::-webkit-scrollbar {
    width: 10px;
}
::-webkit-scrollbar-track {
    background: #f1f1f1;
}
::-webkit-scrollbar-thumb {
    background: rgb(99, 98, 98);
}
::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* Custom placeholder */
.beamChatMessagesInput {
    border-bottom: 2px solid gray;
    outline: 0;
    color: white;
    padding: 7px;
    margin: 5px;
    background: transparent;
    width: 210px;
}